# FTTextureFont Class Reference

FTTextureFont is a specialisation of the FTFont class for handling Texture mapped fonts. More...

`#include <FTGLTextureFont.h>`

Inheritance diagram for FTTextureFont:

## Public Member Functions
| FTTextureFont (const char *fontFilePath)
| Open and read a font file.
| FTTextureFont (const unsigned char *pBufferBytes, size_t bufferSizeInBytes)
| Open and read a font from a buffer in memory.
virtual | ~FTTextureFont ()
| Destructor.
## Protected Member Functions
virtual FTGlyph * | MakeGlyph (FT_GlyphSlot slot)
| Construct a glyph of the correct type.

## Detailed Description

FTTextureFont is a specialisation of the FTFont class for handling Texture mapped fonts.

See also:
  FTFont

Definition at line 45 of file FTGLTextureFont.h.

## Constructor & Destructor Documentation

FTTextureFont::FTTextureFont | ( | const char * | fontFilePath | ) |

Open and read a font file.

Sets Error flag.

Parameters:

  | fontFilePath | font file path.

FTTextureFont::FTTextureFont | ( | const unsigned char * | pBufferBytes,
|  | size_t | bufferSizeInBytes |
| ) |  |  |

Open and read a font from a buffer in memory.

Sets Error flag. The buffer is owned by the client and is NOT copied by FTGL. The pointer must be valid while using FTGL.

Parameters:

  | pBufferBytes | the in-memory buffer
  | bufferSizeInBytes | the length of the buffer in bytes

virtual FTTextureFont::~FTTextureFont | ( |  | ) | `[virtual]`

Destructor.

## Member Function Documentation

virtual FTGlyph* FTTextureFont::MakeGlyph | ( | FT_GlyphSlot | slot | ) | `[protected, virtual]`

Construct a glyph of the correct type.

Clients must override the function and return their specialised FTGlyph.

Parameters:

  | slot | A FreeType glyph slot.

Returns:
  An FT****Glyph or `null` on failure.

Implements FTFont.

The documentation for this class was generated from the following file:

- FTGLTextureFont.h